Subject: Re: [PATCH v2 0/5] builtin/repo: include largest object information

From: Lucas Seiki Oshiro <[email-masked]>
Date: Sat, 28 Feb 2026 20:43:56 -0300

Hi, Justin!

I was trying this patch series and I noticed that it took
more time to run than before. In my machine, I tested it
with the Git repository itself and it took 6s to run, while
it took 3s to run in the current master [1].

I understand the reason and I don't think we could avoid
that, but I'm wondering if wouldn't be nice to have some
way to only retrieve the "lighter" data (perhaps a flag,
or something like the keys in git-repo-info).

Thanks!

[1] 2cc7191751 (The 8th batch, 2026-02-27)